Patch a Gen AI Endpoint version
Patch a Gen AI Endpoint version
This can be used to patch the endpoints properties and version label and description in place, or to generate a new version based on the given version. Changing the value of any of the following properties will stop the current version and start a new one with the patched values:
- vanityUrl
- modelSource
- environment
- hardwareTierId
- configuration
curl --request PATCH \
--url https://mycluster.domino.tech/api/gen-ai/beta/endpoints/{endpointId}/versions/{versionNumber} \
--header 'Content-Type: application/json' \
--header 'X-Domino-Api-Key: <api-key>' \
--data '
{
"collaborators": [
{
"name": "John Doe",
"organizationId": "62313ce67a0af0281c01a6a5",
"userId": "62313ce67a0af0281c01a6a5"
}
],
"configuration": {
"maxNumberOfSequences": 256,
"servedModelName": "my-model",
"tensorParallelism": 1,
"vllmArguments": "--max-model-length 4095 --gpu-memory-utilization 0.90"
},
"description": "My Endpoint Description",
"hardwareTierId": "62313ce67a0af0281c01a6a5",
"instructions": "Use the endpoint to generate text",
"modelSource": {},
"name": "My Endpoint",
"vanityUrl": "my-endpoint-url",
"versionDescription": "My Endpoint Version Description",
"versionLabel": 1
}
'import requests
url = "https://mycluster.domino.tech/api/gen-ai/beta/endpoints/{endpointId}/versions/{versionNumber}"
payload = {
"collaborators": [
{
"name": "John Doe",
"organizationId": "62313ce67a0af0281c01a6a5",
"userId": "62313ce67a0af0281c01a6a5"
}
],
"configuration": {
"maxNumberOfSequences": 256,
"servedModelName": "my-model",
"tensorParallelism": 1,
"vllmArguments": "--max-model-length 4095 --gpu-memory-utilization 0.90"
},
"description": "My Endpoint Description",
"hardwareTierId": "62313ce67a0af0281c01a6a5",
"instructions": "Use the endpoint to generate text",
"modelSource": {},
"name": "My Endpoint",
"vanityUrl": "my-endpoint-url",
"versionDescription": "My Endpoint Version Description",
"versionLabel": 1
}
headers = {
"X-Domino-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Domino-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
collaborators: [
{
name: 'John Doe',
organizationId: '62313ce67a0af0281c01a6a5',
userId: '62313ce67a0af0281c01a6a5'
}
],
configuration: {
maxNumberOfSequences: 256,
servedModelName: 'my-model',
tensorParallelism: 1,
vllmArguments: '--max-model-length 4095 --gpu-memory-utilization 0.90'
},
description: 'My Endpoint Description',
hardwareTierId: '62313ce67a0af0281c01a6a5',
instructions: 'Use the endpoint to generate text',
modelSource: {},
name: 'My Endpoint',
vanityUrl: 'my-endpoint-url',
versionDescription: 'My Endpoint Version Description',
versionLabel: 1
})
};
fetch('https://mycluster.domino.tech/api/gen-ai/beta/endpoints/{endpointId}/versions/{versionNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"endpoint": {
"createdAt": "2022-03-12T02:13:44.467Z",
"creator": {
"id": "integration test",
"name": "Full User Name"
},
"generalAccess": "Restricted",
"id": "62313ce67a0af0281c01a6a5",
"name": "My Endpoint",
"project": {
"id": "62313ce67a0af0281c01a6a5",
"name": "My Project",
"owner": {
"id": "integration test",
"name": "Full User Name"
}
},
"updatedAt": "2022-03-12T02:13:44.467Z",
"url": "https://cloud-dogfood.domino.tech/endpoint/my-endpoint",
"vanityUrl": "https://cloud-dogfood.domino.tech/endpoints/my-endpoint",
"currentVersion": {
"configuration": {
"maxNumberOfSequences": 256,
"servedModelName": "my-model",
"tensorParallelism": 1,
"vllmArguments": "--max-model-length 4095 --gpu-memory-utilization 0.90"
},
"createdAt": "2022-03-12T02:13:44.467Z",
"creator": {
"id": "integration test",
"name": "Full User Name"
},
"endpointId": "62313ce67a0af0281c01a6a5",
"environment": {
"id": "62313ce67a0af0281c01a6a5",
"name": "My Environment",
"revisionId": "62313ce67a0af0281c01a6a5"
},
"hardwareTier": {
"dataPlaneId": "62313ce67a0af0281c01a6a5",
"dataPlaneName": "My Data Plane",
"id": "62313ce67a0af0281c01a6a5"
},
"modelSource": {
"huggingFace": {
"commit": "62313ce67a0af0281c01a6a5",
"modelType": "LLM",
"path": "my-model",
"apiToken": "62313ce67a0af0281c01a6a5"
},
"registeredModel": {
"modelName": "RandomForestRegression",
"modelVersion": 1
}
},
"modelType": "LLM",
"number": 1,
"status": "Building",
"description": "My Endpoint Version Description",
"executionId": "62313ce67a0af0281c01a6a5",
"label": 1
},
"description": "My Endpoint Description",
"instructions": "Use the endpoint to generate text",
"requestCount": 100
},
"version": {
"configuration": {
"maxNumberOfSequences": 256,
"servedModelName": "my-model",
"tensorParallelism": 1,
"vllmArguments": "--max-model-length 4095 --gpu-memory-utilization 0.90"
},
"createdAt": "2022-03-12T02:13:44.467Z",
"creator": {
"id": "integration test",
"name": "Full User Name"
},
"endpointId": "62313ce67a0af0281c01a6a5",
"environment": {
"id": "62313ce67a0af0281c01a6a5",
"name": "My Environment",
"revisionId": "62313ce67a0af0281c01a6a5"
},
"hardwareTier": {
"dataPlaneId": "62313ce67a0af0281c01a6a5",
"dataPlaneName": "My Data Plane",
"id": "62313ce67a0af0281c01a6a5"
},
"modelSource": {
"huggingFace": {
"commit": "62313ce67a0af0281c01a6a5",
"modelType": "LLM",
"path": "my-model",
"apiToken": "62313ce67a0af0281c01a6a5"
},
"registeredModel": {
"modelName": "RandomForestRegression",
"modelVersion": 1
}
},
"modelType": "LLM",
"number": 1,
"status": "Building",
"description": "My Endpoint Version Description",
"executionId": "62313ce67a0af0281c01a6a5",
"label": 1
}
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Path Parameters
The ID of the Gen AI Endpoint.
The Number of the Gen AI Endpoint Version.
Body
What to patch in the Endpoint Version
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The description of the endpoint
"My Endpoint Description"
Show child attributes
Show child attributes
Restricted, Viewer, Consumer The hardware tier ID of the endpoint
"62313ce67a0af0281c01a6a5"
The instructions for using the endpoint
"Use the endpoint to generate text"
Show child attributes
Show child attributes
The name of the endpoint
"My Endpoint"
The vanity URL of the endpoint
"my-endpoint-url"
The description of the initial version of the endpoint
"My Endpoint Version Description"
The label of the initial version of the endpoint
1
Related topics
Start a Gen AI Endpoint VersionStop a Gen AI Endpoint VersionGet a Gen AI Endpoint VersionGet the versions for a Gen AI EndpointWas this page helpful?
